const a = {
  ATOMS: {
    meta: {
      label: "Foundational",
      description: "Basic components that constitute more sophisticated ones"
    },
    components: [
      {
        name: "Accordion",
        props: [
          "classes",
          "variant",
          "data",
          "isRemovable",
          "firstExpanded",
          "appearance"
        ],
        variants: {
          variant: ["limited", "free"],
          appearance: ["stacked", "flat"],
          isRemovable: [!0, !1],
          firstExpanded: [!0, !1]
        }
      },
      {
        name: "AdvancedColorPicker",
        props: []
      },
      {
        name: "Alert",
        props: ["classes", "position", "type", "message", "closeable"],
        variants: {
          position: [
            "top-left",
            "top-right",
            "bottom-left",
            "bottom-right",
            "top-center",
            "bottom-center"
          ],
          type: ["success", "warning", "error", "information"],
          closeable: [!0, !1]
        }
      },
      {
        name: "Badge",
        props: ["size", "text", "type", "shadow"],
        variants: {
          size: ["small", "medium", "large"],
          type: ["inprogress", "complete", "deferred", "atrisk"],
          shadow: [!0, !1]
        }
      },
      {
        name: "Breadcrumb",
        props: [],
        variants: {},
        uses: [{ name: "Button", hierarchy: "ATOMS" }]
      },
      {
        name: "BrowserIncompatibility",
        props: [],
        variants: {},
        uses: [
          { name: "Alert", hierarchy: "ATOMS" },
          { name: "Icon", hierarchy: "ATOMS" }
        ]
      },
      {
        name: "Button",
        props: ["size", "variant", "icon"],
        variants: {
          size: ["xsmall", "small", "medium", "large"],
          variant: [
            "primary",
            "secondary",
            "danger",
            "warning",
            "success",
            "info",
            "dark",
            "light"
          ],
          icon: ["io/IoMdHelp"]
        }
      },
      {
        name: "Carousel"
      },
      {
        name: "Checkbox",
        props: ["id", "label", "type", "onChange"],
        variants: {
          type: ["TOGGLE", "CHECKBOX"]
        },
        uses: [{ name: "Toggle", hierarchy: "ATOMS" }]
      },
      {
        name: "ColorPicker",
        props: ["id", "label", "onChange", "value"],
        variants: {
          label: ["Click"]
        }
      },
      {
        name: "ContextMenu",
        type: "HOC",
        children: ["bg"],
        props: [],
        variants: {},
        test: { background: "Balloon" },
        uses: [
          { name: "InlineMenu", hierarchy: "ATOMS" },
          { name: "List", hierarchy: "ATOMS" }
        ]
      },
      {
        name: "DateInput",
        props: [],
        variants: {}
      },
      {
        name: "DatePicker",
        props: ["id", "label"],
        variants: {
          label: ["Date"],
          allowEventSetting: [!0, !1]
        },
        uses: [
          { name: "Calendar", hierarchy: "ATOMS" },
          { name: "Button", hierarchy: "ATOMS" },
          { name: "Popover", hierarchy: "ATOMS" }
        ]
      },
      {
        name: "DateRangePicker",
        props: ["id", "label"],
        variants: {
          label: ["Date Range"],
          closeOnEndSelect: [!0, !1]
        },
        uses: [
          { name: "Calendar", hierarchy: "ATOMS" },
          { name: "Button", hierarchy: "ATOMS" },
          { name: "Popover", hierarchy: "ATOMS" }
        ]
      },
      {
        name: "Calendar",
        props: ["startDate", "minDate", "maxDate", "hasTimeControls"],
        variants: {
          hasTimeControls: [!0, !1],
          miniMode: [!0, !1],
          allowEventSetting: [!0, !1]
        },
        uses: [
          { name: "Button", hierarchy: "ATOMS" },
          { name: "Badge", hierarchy: "ATOMS" },
          { name: "Popover", hierarchy: "ATOMS" }
        ]
      },
      {
        name: "PickerRange",
        props: [],
        variants: {}
      },
      {
        name: "DetailsPanel",
        props: [],
        variants: {}
      },
      {
        name: "Dialog",
        props: [],
        variants: {}
      },
      {
        name: "FacetedFilter",
        props: [],
        variants: {}
      },
      {
        name: "InlineMenu",
        props: [],
        test: { background: "Balloon" },
        variants: {},
        uses: [{ name: "List", hierarchy: "ATOMS" }]
      },
      {
        name: "Icon",
        props: [
          "src",
          "size",
          "classes",
          "containerClasses",
          "height",
          "width"
        ],
        variants: {
          src: ["ai/AiFillAccountBook", "ai/AiFillCaretUp"],
          size: ["1rem", "5rem", "10rem", "64px", "15%"],
          color: ["red", "green", "purple", "#3538f6", "rgb(255, 90, 23)"]
        }
      },
      {
        name: "LabelValue",
        props: [],
        variants: {}
      },
      {
        name: "LearnLink",
        props: [],
        variants: {}
      },
      {
        name: "Link",
        props: [],
        variants: {}
      },
      {
        name: "List",
        props: [],
        variants: {}
      },
      {
        name: "Modal",
        props: [],
        variants: {}
      },
      {
        name: "Notification",
        props: [],
        variants: {}
      },
      {
        name: "NumericStepper",
        props: [],
        variants: {}
      },
      {
        name: "Pagination",
        props: ["data", "maxPillsToShow"],
        variants: {
          maxPillsToShow: [3, 5, 10]
        }
      },
      {
        name: "Picklist",
        props: [],
        variants: {}
      },
      {
        name: "Pill",
        props: [],
        variants: {}
      },
      {
        name: "Pillbox",
        props: [],
        variants: {}
      },
      {
        name: "Popover",
        type: "HOC",
        children: ["anchor", "popover"],
        props: ["position", "trigger"],
        variants: {
          position: [
            "left-top",
            "left-center",
            "left-bottom",
            "right-top",
            "right-center",
            "right-bottom",
            "top-left",
            "top-center",
            "top-right",
            "bottom-left",
            "bottom-center",
            "bottom-right"
          ],
          trigger: ["click", "hover"]
        },
        uses: [{ name: "Button", hierarchy: "ATOMS" }]
      },
      {
        name: "Loader",
        props: ["type", "label", "size"],
        variants: {
          size: ["small", "regular", "large"],
          label: ["Loading Users...", "Submitting Report..."],
          type: ["bar", "circle", "custom", "shapes"]
        }
      },
      {
        name: "ProgressIndicator",
        props: [],
        variants: {}
      },
      {
        name: "ProgressStepper",
        props: [],
        variants: {}
      },
      {
        name: "Radio",
        props: [],
        variants: {}
      },
      {
        name: "SearchField",
        props: [],
        variants: {}
      },
      {
        name: "SecondaryNavigation",
        props: [],
        variants: {}
      },
      {
        name: "SegmentedControl",
        props: [],
        variants: {}
      },
      {
        name: "Select",
        props: [],
        variants: {}
      },
      {
        name: "SelectionPill",
        props: ["classes", "context", "data", "onClick", "size"],
        variants: {
          size: ["small", "medium", "large"]
        }
      },
      {
        name: "Slider",
        props: [],
        variants: {}
      },
      {
        name: "Splitter",
        props: [],
        variants: {}
      },
      {
        name: "Swiper",
        props: [],
        variants: {}
      },
      {
        name: "Tab",
        props: [
          "label",
          "data",
          "deletable",
          "id",
          "isActive",
          "onSelect",
          "size",
          "variant"
        ],
        variants: {
          deletable: [!0, !1],
          isActive: [!0, !1],
          size: ["compact", "comfortable"],
          variant: ["classic", "modern"]
        }
      },
      {
        name: "TabBar",
        props: ["activeId", "data", "onTabChanged", "size", "variant"],
        variants: {
          size: ["compact", "comfortable"],
          variant: ["classic", "modern"]
        },
        uses: [{ name: "Tab", hierarchy: "ATOMS" }]
      },
      {
        name: "Table",
        props: [],
        variants: {}
      },
      {
        name: "Tag",
        props: [],
        variants: {}
      },
      {
        name: "TextArea",
        props: [],
        variants: {}
      },
      {
        name: "TreeList",
        props: ["data", "firstExpanded", "noSearch", "title", "onItemSelect"],
        variants: {},
        uses: [
          { name: "Search", hierarchy: "MOLECULES" },
          { name: "TextInput", hierarchy: "ATOMS" }
        ]
      },
      {
        name: "Mask",
        props: [],
        variants: {}
      },
      {
        name: "TextInput",
        props: ["type", "label", "placeholder", "labelPlacement"],
        variants: {
          type: [
            "text",
            "password",
            "file",
            "radio",
            "color",
            "checkbox",
            "range",
            "date"
          ],
          label: ["Username", !1],
          placeholder: ["Address"],
          labelPlacement: ["left", "top", "right", "bottom"]
        }
      },
      {
        name: "TimeEntry",
        props: [],
        variants: {}
      },
      {
        name: "Toggle",
        props: [],
        variants: {}
      },
      {
        name: "Toolbar",
        props: [],
        variants: {}
      },
      {
        name: "Tooltip",
        props: [],
        variants: {}
      },
      {
        name: "TypeAhead",
        props: [],
        variants: {}
      },
      {
        name: "Uploader",
        props: [],
        variants: {}
      },
      {
        name: "Widget",
        props: [],
        variants: {}
      }
    ]
  },
  MOLECULES: {
    meta: {
      label: "Features, pages, use cases",
      description: "Use these components for special cases like about us section, blog etc."
    },
    components: [
      {
        name: "AboutUs",
        props: [],
        variants: {}
      },
      {
        name: "Application",
        props: [],
        variants: {}
      },
      {
        name: "Banner",
        props: [],
        variants: {}
      },
      {
        name: "Benefits",
        props: [],
        variants: {}
      },
      {
        name: "Blog",
        props: [],
        variants: {}
      },
      {
        name: "Brands",
        props: [],
        variants: {}
      },
      {
        name: "Breadcrumbs",
        props: [],
        variants: {}
      },
      {
        name: "CTA",
        props: [],
        variants: {}
      },
      {
        name: "Card",
        props: [],
        variants: {}
      },
      {
        name: "Careers",
        props: [],
        variants: {}
      },
      {
        name: "Contact",
        props: [],
        variants: {}
      },
      {
        name: "Content",
        props: [],
        variants: {}
      },
      {
        name: "Cookies",
        props: [],
        variants: {}
      },
      {
        name: "Dashboard",
        props: [],
        variants: {}
      },
      {
        name: "Download",
        props: [],
        variants: {}
      },
      {
        name: "Ecomm_Orders",
        props: [],
        variants: {}
      },
      {
        name: "Ecomm_Products",
        props: [],
        variants: {}
      },
      {
        name: "Empty",
        props: [],
        variants: {}
      },
      {
        name: "FAQ",
        props: [],
        variants: {}
      },
      {
        name: "Features",
        props: [],
        variants: {}
      },
      {
        name: "Footer",
        props: [],
        variants: {}
      },
      {
        name: "Form",
        props: [],
        variants: {}
      },
      {
        name: "Gallery",
        props: [],
        variants: {}
      },
      {
        name: "GraphTiles",
        props: [],
        variants: {}
      },
      {
        name: "Graph",
        props: [],
        variants: {}
      },
      {
        name: "HTTPCode",
        props: [],
        variants: {}
      },
      {
        name: "Hero",
        props: [],
        variants: {}
      },
      {
        name: "HowItWorks",
        props: [],
        variants: {}
      },
      {
        name: "InstaPhotos",
        props: [],
        variants: {}
      },
      {
        name: "Integrations",
        props: [],
        variants: {}
      },
      {
        name: "LogoClouds",
        props: [],
        variants: {}
      },
      {
        name: "Newsletter",
        props: [],
        variants: {}
      },
      {
        name: "Notifications",
        props: [],
        variants: {}
      },
      {
        name: "pagination",
        props: [],
        variants: {}
      },
      {
        name: "portfolio",
        props: [],
        variants: {}
      },
      {
        name: "Pricing",
        props: [],
        variants: {}
      },
      {
        name: "ProductInfo",
        props: [],
        variants: {}
      },
      {
        name: "Projects",
        props: [],
        variants: {}
      },
      {
        name: "Reviews",
        props: [],
        variants: {}
      },
      {
        name: "RichText",
        props: [],
        variants: {}
      },
      {
        name: "Search",
        props: [],
        variants: {}
      },
      {
        name: "Services",
        props: [],
        variants: {}
      },
      {
        name: "SignInUp",
        props: [],
        variants: {}
      },
      {
        name: "Snackbar",
        props: [],
        variants: {}
      },
      {
        name: "Stats",
        props: [],
        variants: {}
      },
      {
        name: "Steps",
        props: [],
        variants: {}
      },
      {
        name: "Table",
        props: [],
        variants: {}
      },
      {
        name: "Team",
        props: [],
        variants: {}
      },
      {
        name: "Testimonials",
        props: [],
        variants: {}
      },
      {
        name: "Toast",
        props: [],
        variants: {}
      },
      {
        name: "Users",
        props: [],
        variants: {}
      }
    ]
  }
};
export {
  a as default
};
