export interface ComponentDescription {
    name: string;
    type?: string;
    children?: Array<string>;
    props?: Array<any>;
    propValues?: {
        [key: string]: string;
    };
    variants?: {
        [key: string]: Array<string | boolean | number>;
    };
    test?: {
        [key: string]: any;
    };
    uses?: Array<{
        [key: string]: string;
    }>;
}
interface Meta {
    label: string;
    description: string;
}
interface ComponentListConfig {
    meta: Meta;
    components: Array<ComponentDescription>;
}
export interface ComponentList {
    ATOMS: ComponentListConfig;
    MOLECULES: ComponentListConfig;
}
export {};
