import { FunctionType, ObjectType } from "./types";
export interface BasicFilterConfig {
    value: string;
    data?: {
        [key: string]: string | number;
    };
}
export interface FilterConfig {
    count?: number;
    alphabet?: boolean;
    categories?: Array<string>;
    tags?: ObjectType;
}
export interface FiltersProps {
    clickHandler: FunctionType;
    data?: Array<any>;
    filteredData?: Array<any>;
    config: FilterConfig;
    initialFilters?: FilterState;
    onFilterChange: Function;
}
export interface FilterState {
    count?: BasicFilterType;
    alphabet?: BasicFilterType;
    categories?: BasicFilterType;
}
export type BasicFilterType = {
    [key: string]: Array<BasicFilterConfig>;
} | BasicFilterConfig | Array<BasicFilterConfig>;
