import { Children as d } from "react";
import S from "./helper.js";
const f = new DOMParser();
class T {
  static implementSvgStyles(t, e, r) {
    const { size: s, classes: o, color: n, fillColor: a, strokeColor: c, strokeWidth: u } = e || {}, [m] = r || [];
    let l = null;
    o && (l = S.getStylesFromClass(o), l = Object.entries(l || {}).map(([g, b]) => `${g}: ${b}`).join("; ")), t.setAttribute("height", s || "1rem"), t.setAttribute("width", s || "1rem"), t.setAttribute("class", o || ""), t.setAttribute("style", l || ""), t.setAttribute("stroke", c || n || "black"), u ? t.setAttribute("stroke-width", u) : c && t.setAttribute("stroke-width", "1");
    let i = t.querySelectorAll("path");
    return i.length === 1 && !m && (i = i[0], i && n && i.getAttribute("stroke") && i.setAttribute("stroke", c || n), i && u && i.getAttribute("stroke-width") && i.setAttribute("stroke-width", u), i && n && i.getAttribute("fill") && i.setAttribute("fill", a || n)), t.style.color = n || "black", t;
  }
  static svgStringToBase64(t, e, r) {
    const s = h.svgStringToElement(t);
    return s && h.svgToBase64(s, e, r);
  }
  static svgStringToElement(t) {
    return f.parseFromString(t, "image/svg+xml").querySelector("svg");
  }
  static svgToBase64(t, e, r) {
    if (t && typeof t == "string" && (t = h.svgStringToElement(t)), t) {
      t = h.implementSvgStyles(t, e, r);
      const s = new XMLSerializer().serializeToString(t);
      return btoa(s);
    }
    return "";
  }
  static outerWidth(t) {
    let e = t.offsetWidth;
    const r = getComputedStyle(t);
    return e += parseInt(r.marginLeft) + parseInt(r.marginRight), e;
  }
  static translate(t, e, r) {
    const s = t === 0 ? t : t + e, o = r === "horizontal" ? [s, 0, 0] : [0, s, 0], n = "translate3d", a = "(" + o.join(",") + ")";
    return n + a;
  }
  static hexToHsl(t, e) {
    const [r, s, o] = h.hexToRgb(t);
    return h.rgbToHsl(r, s, o, e);
  }
  static hexToRgb(t) {
    const e = parseInt(t.substring(1, 3), 16), r = parseInt(t.substring(3, 5), 16), s = parseInt(t.substring(5, 7), 16);
    return [e, r, s];
  }
  /**
   * Converts an RGB color value to HSL. Conversion formula
   * adapted from http://en.wikipedia.org/wiki/HSL_color_space.
   * Assumes r, g, and b are contained in the set [0, 255] and
   * returns h, s, and l in the set [0, 1].
   *
   * @param   Number  r       The red color value
   * @param   Number  g       The green color value
   * @param   Number  b       The blue color value
   * @return  Array           The HSL representation
   */
  static rgbToHsl(t, e, r, s) {
    t /= 255, e /= 255, r /= 255;
    const o = Math.max(t, e, r), n = Math.min(t, e, r);
    let a, c, u = (o + n) / 2;
    if (o === n)
      a = c = 0;
    else {
      const l = o - n;
      switch (c = u > 0.5 ? l / (2 - o - n) : l / (o + n), o) {
        case t:
          a = (e - r) / l + (e < r ? 6 : 0);
          break;
        case e:
          a = (r - t) / l + 2;
          break;
        case r:
          a = (t - e) / l + 4;
          break;
      }
      a /= 6;
    }
    const m = "hsl(" + a + ", " + c + "%, " + u + "%)";
    return s ? [a, c, u] : m;
  }
  static hslToRgb(t, e, r) {
    let s, o, n, a;
    if (e === 0)
      s = o = n = r;
    else {
      a = (m, l, i) => (i < 0 && (i += 1), i > 1 && (i -= 1), i < 1 / 6 ? m + (l - m) * 6 * i : i < 1 / 2 ? l : i < 2 / 3 ? m + (l - m) * (2 / 3 - i) * 6 : m);
      const c = r < 0.5 ? r * (1 + e) : r + e - r * e, u = 2 * r - c;
      s = a && a(u, c, t + 1 / 3), o = a && a(u, c, t), n = a && a(u, c, t - 1 / 3);
    }
    return [s * 255, o * 255, n * 255];
  }
  static rgbToHex(t, e, r) {
    function s(o) {
      var n = o.toString(16);
      return n.length === 1 ? "0" + n : n;
    }
    return "#" + s(t) + s(e) + s(r);
  }
  static hslToHex(t, e, r) {
    const [s, o, n] = h.hslToRgb(t, e, r);
    return h.rgbToHex(Math.round(s), Math.round(o), Math.round(n));
  }
  static downloadSvg(t, e, r) {
    const s = f.parseFromString(t, "image/svg+xml").querySelector("svg");
    s && (h.implementSvgStyles(s, r), t = s.outerHTML);
    const o = btoa(unescape(encodeURIComponent(t))), n = document.createElement("a"), a = new MouseEvent("click");
    n.download = e + ".svg", n.href = "data:image/svg+xml;base64," + o, n.dispatchEvent(a);
  }
  /**
   * Gets the list 'position' relative to a current index
   * @param index
   */
  static getPosition(t, e) {
    if (e.infiniteLoop && ++t, t === 0)
      return 0;
    const r = d.count(e.children);
    if (e.centerMode && e.axis === "horizontal") {
      let s = -t * e.centerSlidePercentage;
      const o = r - 1;
      return t && (t !== o || e.infiniteLoop) ? s += (100 - e.centerSlidePercentage) / 2 : t === o && (s += 100 - e.centerSlidePercentage), s;
    }
    return -t * 100;
  }
  /**
   * Sets the 'position' transform for sliding animations
   * @param position
   * @param forceReflow
   */
  static setPosition(t, e) {
    const r = {};
    return [
      "WebkitTransform",
      "MozTransform",
      "MsTransform",
      "OTransform",
      "transform",
      "msTransform"
    ].forEach((s) => {
      r[s] = CSSTranslate(t, "%", e);
    }), r;
  }
  static isKeyboardEvent(t) {
    return t ? t.hasOwnProperty("key") : !1;
  }
}
const h = T;
export {
  h as default
};
